This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 137054 - Exceed max PVs in an LV: undefined errorMessage
Exceed max PVs in an LV: undefined errorMessage
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-lvm (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Jim Parsons
:
Depends On:
Blocks: 135876
  Show dependency treegraph
 
Reported: 2004-10-25 12:05 EDT by Derek Anderson
Modified: 2009-04-16 19:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-11 14:56:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2004-10-25 12:05:38 EDT
Description of problem:
Create a new VG with Maximum Physical Volumes of 1.  Select an
Unallocated Volume, click Add to existing Volume Group, select the VG
you just created and click Add.  The GUI remains at the "Add Physical
Volume to VG"; no apparent error from this perspective.

On the command line you get the traceback:
  No space for '/dev/sdd1' - volume group '1PV' holds max 1 physical
volume(s).
  Unable to add physical volume '/dev/sdd1' to volume group '1PV'.
Traceback (most recent call last):
  File "/usr/share/system-config-lvm/InputController.py", line 810, in
on_ok_add_pv_to_vg
    errorMessage(e.getMessage)
NameError: global name 'errorMessage' is not defined

It would be nice if the first line (or two) of this were returned to
the user in an Error dialog.


Version-Release number of selected component (if applicable):
system-config-lvm-0.9.1-2.5

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jim Parsons 2004-11-10 01:16:58 EST
This is fixed in 0.9.8-1.0, by informing user that the max number of
PVs or LVs has been allocated, and that no more are allowed. Down the
road, a better way would be to not allow buttons and/or tree elements
associated with VGs that have maxed out from being sensitive to
selection, but this will work great for now (and, perhaps, is more
informative as to why the operation is not possible).
Comment 2 Derek Anderson 2004-11-11 14:56:59 EST
Verified in system-config-lvm-0.9.8-1.0.

"The number of Physical Volumes in this Volume Group has reached its
maximum limit."

Note You need to log in before you can comment on or make changes to this bug.